Summary:	KB extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia KB
Name:		xorg-proto-kbproto
Version:	1.0.7
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/kbproto-%{version}.tar.bz2
# Source0-md5:	94afc90c1f7bef4a27fdd59ece39c878
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KB (XKEYBOARD) extension headers.

%description -l pl.UTF-8
Pliki nagłówkowe rozszerzenia KB (XKEYBOARD).

%package devel
Summary:	KB extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia KB
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
KB (XKEYBOARD) extension headers.

%description devel -l pl.UTF-8
Pliki nagłówkowe rozszerzenia KB (XKEYBOARD).

%prep
%setup -q -n kbproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/kbproto

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README specs/{XKBproto-*.svg,xkbproto.html}
%{_includedir}/X11/extensions/XKB*.h
%{_pkgconfigdir}/kbproto.pc
%changelog
* Wed May 06 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-proto-kbproto.git;a=log;h=master

* Tue May 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 23a5b4d
- updated to 1.0.7

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 953fb54
- x32 rebuild
- release 2 (by relup.sh)

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> df0a64d
- updated to 1.0.6

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 46fad7d
- dropped pre-cvs changelog

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 42ee0d2
- updated ac version
- added README to doc

* Tue Aug 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 775f5f2
- up to 1.0.5

* Tue Oct 13 2009 Jakub Bogusz <qboosh@pld-linux.org> 360c49c
- updated to 1.0.4

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 758fb46
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 677351b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0ccddcb
- converted to UTF-8

* Wed Jul 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 6ff3331
- updated to 1.0.3

* Sun May 14 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> eeb01f4
- no more X11R7.0 in setup

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> fe31a2c
- update md5sum for individual files.

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d4ba0cd
- switch to individual files

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> 0d49db1
- release 1.

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> f7fdf19
- sources from X11R7.0 release

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 1b76d3f
- 1.0.2 (X11R7.0-RC4)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> d736c6e
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> a7f2eb1
- BR: autoconf >= 2.57

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 02b8f8c
- 1.0.1 (X11R7.0-RC1)

